Package org.apache.nutch.protocol.ftp

## Class PrintCommandListener

- java.lang.Object
- - org.apache.nutch.protocol.ftp.PrintCommandListener

- All Implemented Interfaces:
    `EventListener`, `org.apache.commons.net.ProtocolCommandListener`

      public class PrintCommandListener
      extends Object
      implements org.apache.commons.net.ProtocolCommandListener

  This is a support class for logging all ftp command/reply traffic.
  Author:
    John Xing

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrintCommandListener​(org.slf4j.Logger logger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `protocolCommandSent​(org.apache.commons.net.ProtocolCommandEvent event)` |
    `void` | `protocolReplyReceived​(org.apache.commons.net.ProtocolCommandEvent event)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintCommandListener

          public PrintCommandListener​(org.slf4j.Logger logger)

  - ### Method Detail

    - #### protocolCommandSent

          public void protocolCommandSent​(org.apache.commons.net.ProtocolCommandEvent event)

      Specified by:
        `protocolCommandSent` in interface `org.apache.commons.net.ProtocolCommandListener`

    - #### protocolReplyReceived

          public void protocolReplyReceived​(org.apache.commons.net.ProtocolCommandEvent event)

      Specified by:
        `protocolReplyReceived` in interface `org.apache.commons.net.ProtocolCommandListener`